---
lang: en
title: 'API docs: context.binding.inscope'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.context.binding.inscope.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/context](./context.md) &gt; [Binding](./context.binding.md) &gt; [inScope](./context.binding.inscope.md)

## Binding.inScope() method

Set the binding scope

<b>Signature:</b>

```typescript
inScope(scope: BindingScope): this;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  scope | <code>BindingScope</code> | Binding scope |

<b>Returns:</b>

`this`


